/*     LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.    */
/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2016_PERSONAL_REGISTER_(R-FILE)_Cross-Sectional_IT_DELIMITED.dct, clear
/*
label define  rb020_cl1 AT   "sterreich" BE   "Belgique" BG   "Bulgaria" CH   "Switzerland" CY   "Cyprus" CZ   "Czech" DE   "Deutschland" DK   "Danmark" EE   "Estonia" ES   "Espaa" FI   "Suomi" FR   "France" GR   "Ellda" HU   "Hungary" IE   "Ireland" IS   "Iceland" IT   "Italia" LT   "Lithuania" LU   "Luxembourg" LV   "Latvia" MT   "Malta" NL   "Nederland" NO   "Norway" PL   "Poland" PT   "Portugal" RO   "Romania" SE   "Sverige" SI   "Slovenia" SK   "Slovak/republic" UK   "United"  
label define  rb031_cl3 1936   "<=1936" 1941   "1941 - 1937" 1946   "1946 - 1942" 1951   "1951 - 1947" 1956   "1956 - 1952" 1961   "1961 - 1957" 1966   "1966 - 1962" 1971   "1971 - 1967" 1976   "1976 - 1972" 1981   "1981 - 1977" 1986   "1986 - 1982" 1991   "1991 - 1987" 1996   "1996 - 1992" 2001   "2001 - 1997" 2006   "2006 - 2002" 2011   "2011 - 2007" 2016   "2016 - 2012"  
label define  rb031_f_cl4 1   "filled" -1   "missing" -2   "not applicable (no immigration for the person)"  
label define  rb050_f_cl6 1   "filled" -2   "Not applicable (RB110 not equal to 1, 2, 3 or 4)" -7   "Not applicable RB010 ne last year"  
label define  rb070_cl7 1   "January-March" 2   "April-June" 3   "July-September" 4   "October-December"  
label define  rb070_f_cl8 1   "filled" -1   "missing"  
label define  rb080_f_cl10 1   "filled" -1   "missing"  
label define  rb090_cl11 1   "Male" 2   "Female"  
label define  rb090_f_cl12 1   "filled" -1   "missing"  
label define  rb200_cl13 1   "currently living in the household" 2   "temporarily absent"  
label define  rb200_f_cl14 1   "filled" -1   "Missing" -2   "Not applicable (RB110 not equal to 1, 2, 3 or 4)"  
label define  rb210_cl15 1   "at work" 2   "unemployed" 3   "in retirement or early retirement" 4   "other inactive person"  
label define  rb210_f_cl16 1   "filled" -1   "Missing" -2   "Not applicable (RB110 not equal to 1, 2, 3 or 4)"  
label define  rb220_f_cl18 1   "filled" -1   "missing" -2   "na (father is not a household member)"  
label define  rb230_f_cl20 1   "filled" -1   "missing" -2   "na (mother is not a household member)"  
label define  rb240_f_cl22 1   "filled" -1   "missing" -2   "na (spouse/partneris not a household member)"  
label define  rb245_cl23 1   "current household member aged 16 and over Only selected household member aged 16 and over is interviewed" 2   "selected respondent" 3   "not selected respondent Households members aged less than 16 at the time of interview" 4   "not eligible person"  
label define  rb245_f_cl24 1   "filled" -2   "Not applicable (RB110 not equal to 1, 2, 3 or 4))"  
label define  rb250_cl25 11   "information completed only from interview" 12   "information completed only from registers" 13   "information completed from both: interview and registers" 14   "information completed from full-record imputation" 21   "individual unable to respond (illness, incapacity, etc) and no proxy possible" 22   "failed to return self-completed questionnaire" 23   "refusal to co-operate" 31   "person temporarily away and no proxy possible" 32   "no contact for other reasons Information or interview not completed" 33   "information not completed reason unknown"  
label define  rb250_f_cl26 1   "filled" -2   "na (RB245 not = 1,2 or 3)"  
label define  rb260_cl27 1   "face to face interview-PAPI" 2   "face to face interview-CAPI" 3   "CATI telephone interview" 4   "self-administered by respondent" 5   "Computer assisted web interviewing-CAWI" 6   "Face to face interview-PAPI with proxy" 7   "Face to face interview-CAPI with proxy" 8   "CATI, telephone interview with proxy" 9   "Self-administered by respondent with proxy" 10   "Computer assisted web interviewing-CAWI with proxy"  
label define  rb260_f_cl28 1   "filled" -1   "missing" -2   "Not applicable (RB250 not equal to 11 or 13) or RB245=3"  
label define  rb270_f_cl30 1   "filled" -1   "missing" -2   "Not applicable ((RB260 not equal to 6, 7, 8, 9, 10) AND RB010 > 2013) OR ( RB260 ne 5 AND RB010 < 2014))"  
label define  rl010_f_cl32 1   "filled" -1   "missing" -2   "na person is not admitted to pre-school because of her age, is at compulsory school or is more than 12 years old"  
label define  rl020_f_cl34 1   "filled" -1   "missing" -2   "na person is not admitted to compulsory school because of her age or is more than 12 years"  
label define  rl030_f_cl36 1   "filled" -1   "missing" -2   "na: person is neither at pre-school nor at school or is more than 12 years old"  
label define  rl040_f_cl38 1   "filled" -1   "missing" -2   "na person is more than 12 years old"  
label define  rl050_f_cl40 1   "filled" -1   "missing" -2   "na person is more than 12 years old"  
label define  rl060_f_cl42 1   "filled" -1   "missing" -2   "na person is more than 12 years old"  
label define  rl070_f_cl44 1   "filled" -2   "na RB110 not equal to 1, 2, 3 or 4 (persons aged more than 12 years old at the date of interview)" -7   "Not applicable RB010 ne last year"  
label define  rc010_cl45 1   "yes" 2   "no"  
label define  rc010_f_cl46 1   "filled" -1   "missing" -4   "no formal childcare for this child (RL030<1 AND RL040<1) OR not current household member (RB110 not in (1,2,3,4))" -5   "not applicable (person is more than 12 years old)" -7   "not applicable RB010 not = 2016"  
label define  rc020_cl47 1   "full price (full cost)" 2   "reduced price (subsidised by government, employer, private, person, etc.)" 9   "do not know"  
label define  rc020_f_cl48 1   "filled" -1   "missing" -2   "not applicable (RC010 = 2)" -4   "no formal childcare for this child (RL030<1 AND RL040<1) OR not current household member (RB110 not in (1,2,3,4))" -5   "not applicable (person is more than 12 years old)" -7   "not applicable RB010 not = 2016"  
label define  rc030_cl49 1   "government or local authorities" 2   "employer" 3   "other institutions (e.g. church, non-profit organisations)" 4   "private persons who are not household members" 5   "other" 9   "do not know"  
label define  rc030_f_cl50 1   "filled" -1   "missing" -2   "not applicable (RC020 = 1 OR RC020=9)" -4   "no formal childcare for this child (RL030<1 AND RL040<1) OR not current household member (RB110 not in (1,2,3,4))" -5   "not applicable (person is more than 12 years old)" -7   "not applicable RB010 not = 2016"  
label define  rc070_cl51 1   "yes" 2   "no"  
label define  rc070_f_cl52 1   "filled" -1   "missing" -4   "person does not follow formal education OR not current household member (RB110 not in (1,2,3,4))" -7   "not applicable RB010 not = 2016"  
label define  rc080_cl53 1   "full price (full cost)" 2   "reduced price (subsidised by government, employer, private, person, etc.)" 9   "do not know"  
label define  rc080_f_cl54 1   "filled" -1   "missing" -2   "not applicable (RC070=2)" -4   "person does not follow formal education OR not current household member (RB110 not in (1,2,3,4))" -7   "not applicable RB010 not = 2016"  
label define  rc090_cl55 1   "government or local authorities" 2   "employer" 3   "other institutions (e.g. church, non-profit organisations)" 4   "private persons who are not household members" 5   "other" 9   "do not know"  
label define  rc090_f_cl56 1   "filled" -1   "missing" -2   "not applicable (RC080=1 OR RC080=9) OR not current household member (RB110 not in (1,2,3,4))" -4   "person does not follow formal education" -7   "not applicable RB010 not = 2016"  
label define  rx050_cl61 0   "no Low Work Intensity" 1   "Low Work Intensity" 2   "not applicable"  
label define  rx060_cl62 0   "not severely deprived" 1   "severely deprived"  
label values  rb020 rb020_cl1
label values  rb031 rb031_cl3
label values  rb031_f rb031_f_cl4
label values  rb050_f rb050_f_cl6
label values  rb070 rb070_cl7
label values  rb070_f rb070_f_cl8
label values  rb080_f rb080_f_cl10
label values  rb090 rb090_cl11
label values  rb090_f rb090_f_cl12
label values  rb200 rb200_cl13
label values  rb200_f rb200_f_cl14
label values  rb210 rb210_cl15
label values  rb210_f rb210_f_cl16
label values  rb220_f rb220_f_cl18
label values  rb230_f rb230_f_cl20
label values  rb240_f rb240_f_cl22
label values  rb245 rb245_cl23
label values  rb245_f rb245_f_cl24
label values  rb250 rb250_cl25
label values  rb250_f rb250_f_cl26
label values  rb260 rb260_cl27
label values  rb260_f rb260_f_cl28
label values  rb270_f rb270_f_cl30
label values  rl010_f rl010_f_cl32
label values  rl020_f rl020_f_cl34
label values  rl030_f rl030_f_cl36
label values  rl040_f rl040_f_cl38
label values  rl050_f rl050_f_cl40
label values  rl060_f rl060_f_cl42
label values  rl070_f rl070_f_cl44
label values  rc010 rc010_cl45
label values  rc010_f rc010_f_cl46
label values  rc020 rc020_cl47
label values  rc020_f rc020_f_cl48
label values  rc030 rc030_cl49
label values  rc030_f rc030_f_cl50
label values  rc070 rc070_cl51
label values  rc070_f rc070_f_cl52
label values  rc080 rc080_cl53
label values  rc080_f rc080_f_cl54
label values  rc090 rc090_cl55
label values  rc090_f rc090_f_cl56
label values  rx050 rx050_cl61
label values  rx060 rx060_cl62
*/
save  EU-SILC_A2016_PERSONAL_REGI.dta, replace
